%define lesstif 0

Summary:	The libraries needed to run the GNU Emacs text editor
Name:		emacs
Version:	21.3
Release:	9mdk
License:	GPL
Group:		Editors
URL:		http://www.gnu.org/software/emacs/

Source0:	ftp://ftp.gnu.org/pub/gnu/emacs/emacs-%{version}.tar.bz2
Source1:	ftp://ftp.gnu.org/pub/gnu/emacs/leim-%{version}.tar.bz2
Source2:	gnu-mini.png
Source3:	gnu-normal.png
Source4:	gnu-large.png
Source5:	emacs-config
Source6:	emacs-startup.elc.bz2

Patch0:		emacs-21.1-nmhlocation.patch.bz2
Patch1: 	emacs-20.5-loadup.patch.bz2
Patch3: 	emacs-20.6-ia64-2.patch.bz2
Patch5:		emacs-21.1-bzip2.patch.bz2
Patch7:		emacs-20.7-rpath.patch.bz2
Patch8:		emacs-21.1-fix-autoconf.patch.bz2

Patch20:	emacs-20.4-ppc-config.patch.bz2
Patch21:	emacs-20.4-ppc.patch.bz2
Patch22:	emacs-21.1-omit-nocombreloc-ppc.patch.bz2

Patch100:	emacs-21.2-infofix.bz2
Patch101:	emacs-21.2-version.bz2
Patch102:	emacs-21.2-browse-url.bz2
Patch103:	emacs-21.2-x86_64.patch.bz2
Patch104:	emacs-21.2-hide-toolbar.patch.bz2
Patch105:	emacs-21.3-detect-coding-iso2022.patch.bz2
Patch106:	emacs-21.3-battery-acpi-support.patch.bz2
Patch107:	emacs-21.3-scroll-margin.patch.bz2
Patch108:	emacs-21.3-save-buffer.patch.bz2
Patch109:	emacs-21.3-br-locale-vs-dired-mode.patch.bz2

BuildRoot:	%_tmppath/%name-root
BuildRequires:	Xaw3d-devel
BuildRequires:	XFree86
BuildRequires:	XFree86-devel
BuildRequires:	gcc
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	ncurses-devel
BuildRequires:	libungif-devel
BuildRequires:  texinfo
BuildRequires:	xpm-devel
%if %lesstif
BuildRequires:	lesstif-devel
%endif

Obsoletes:	gnus-emacs < 5.8.0
Obsoletes:	emacs-pcomplete <= 2.4.2
Obsoletes:	eshell-emacs <= 2.4.2

Provides:	emacs-pcomplete = 1.1.1
Provides:	eshell-emacs = 2.1.2
Provides:	emacs = %version

# conflicts due to %%_bindir/{b2m,etags,rcs-checkin}
Conflicts: xemacs-extras

%description
Emacs is a powerful, customizable, self-documenting, modeless text
editor. Emacs contains special code editing features, a scripting
language (elisp), and the capability to read mail, news and more without
leaving the editor.

This package includes the libraries you need to run the Emacs editor, so
you need to install this package if you intend to use Emacs.  You also
need to install the actual Emacs program package (emacs-nox or emacs-X11).
Install emacs-nox if you are not going to use the X Window System; install
emacs-X11 if you will be using X.

%package el
Summary:	The sources for elisp programs included with Emacs
Group:		Editors
Requires:	emacs = %version-%release

%description el
Emacs-el contains the emacs-elisp sources for many of the elisp
programs included with the main Emacs text editor package.

You need to install emacs-el only if you intend to modify any of the
Emacs packages or see some elisp examples.

%package leim
Summary:	Emacs Lisp code for input methods for internationalization
Group:		Editors
Requires:	emacs = %version-%release

%description leim
The Emacs Lisp code for input methods for various international
character scripts.

%package nox
Summary:	The Emacs text editor without support for the X Window System
Group:		Editors
Requires:	emacs = %version-%release
PreReq: /usr/sbin/update-alternatives
Provides:	emacs-bin

%description nox
Emacs-nox is the Emacs text editor program without support for
the X Window System.

You need to install this package only if you plan on exclusively using
Emacs without the X Window System (emacs-X11 will work both in X and out
of X, but emacs-nox will only work outside of X).  You'll also need to
install the emacs package in order to run Emacs.

%package X11
Summary:	The Emacs text editor for the X Window System
Group:		Editors
Requires:	emacs = %version-%release
PreReq: /usr/sbin/update-alternatives
Provides:	emacs-bin

%description X11
Emacs-X11 includes the Emacs text editor program for use with the X
Window System (it provides support for the mouse and other GUI
elements). Emacs-X11 will also run Emacs outside of X, but it has a
larger memory footprint than the 'non-X' Emacs package (emacs-nox).

Install emacs-X11 if you're going to use Emacs with the X Window
System.  You should also install emacs-X11 if you're going to run
Emacs both with and without X (it will work fine both ways). You'll
also need to install the emacs package in order to run Emacs.

%prep
%setup -q -b 1
perl -p -i -e 's/ctags/gctags/g' etc/etags.1
%patch0 -p1 -b .nmhlocation
%patch1 -p1 -b .loadup
%patch3 -p1 -b .ia64-2
%patch5 -p1 -b .bzip2
%patch7 -p0 -b .rpath
%patch8 -p1 -b .autoconf

%ifarch ppc
%patch20 -p1
%patch21 -p1
%patch22 -p1
%endif

%patch100 -p1
%patch101 -p1
%patch102 -p1
%patch103 -p1 -b .x86_64
%patch104 -p1
%patch105 -p1
%patch106 -p1
%patch107 -p1
%patch108 -p1
%patch109 -p1

# clean out remnants of patching
find . -name "*.*.*" -exec rm -f {} \;

echo "lesstif_conf= %{?%lesstif:--with-x-toolkit=motif}"

%build

PUREDEF="-DNCURSES_OSPEED_T"
XPUREDEF="-DNCURSES_OSPEED_T"
libtoolize --force --copy
autoconf
CONFOPTS="--prefix=%{_prefix} --libexecdir=%{_libdir} --sharedstatedir=/var --with-gcc --with-pop --mandir=%{_mandir} --infodir=%{_infodir}"

#Build binary without X support
[ -d build-nox ] && rm -rf build-nox
mkdir build-nox && cd build-nox
CFLAGS="$RPM_OPT_FLAGS $PUREDEF" LDFLAGS=-s \
  ../configure ${CONFOPTS} --with-x=no ${RPM_ARCH}-mandrake-linux --libdir=%_libdir
%make
cd ..

#Build binary with X support
[ -d build-withx ] && rm -rf build-withx
mkdir build-withx && cd build-withx
CFLAGS="$RPM_OPT_FLAGS $XPUREDEF" LDFLAGS=-s \
  ../configure ${CONFOPTS} --with-x-toolkit %{?%lesstif:--with-x-toolkit=motif} ${RPM_ARCH}-mandrake-linux --libdir=%_libdir
%make
cd ..

# Byte recompile the files that we have modified with patches
build-nox/src/emacs -batch -f batch-byte-recompile-directory lisp

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr

# Menu support
mkdir -p $RPM_BUILD_ROOT{%_menudir,%_liconsdir,%_miconsdir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name}-X11 << EOF
?package(%{name}-X11): needs=x11 section="Applications/Editors" icon=emacs.png title=Emacs longtitle="Powerfull editor" command=emacs
EOF

install -m 644 %SOURCE2 $RPM_BUILD_ROOT%_miconsdir/emacs.png
install -m 644 %SOURCE3 $RPM_BUILD_ROOT%_iconsdir/emacs.png
install -m 644 %SOURCE4 $RPM_BUILD_ROOT%_liconsdir/emacs.png

PATH=$PATH:/sbin
ARCHDIR=${RPM_ARCH}-mandrake-linux
%old_makeinstall -C build-withx sharedstatedir=$RPM_BUILD_ROOT/var

rm -f $RPM_BUILD_ROOT%{_infodir}/dir
install -m755 build-nox/src/emacs $RPM_BUILD_ROOT%{_bindir}/emacs-nox
install -m644 build-nox/etc/DOC-%version.1 $RPM_BUILD_ROOT%{_datadir}/emacs/%version/etc/

mkdir -p $RPM_BUILD_ROOT%{_libdir}/emacs/site-lisp

mv $RPM_BUILD_ROOT%{_mandir}/man1/ctags.1 $RPM_BUILD_ROOT%{_mandir}/man1/gctags.1
mv $RPM_BUILD_ROOT%{_bindir}/ctags $RPM_BUILD_ROOT%{_bindir}/gctags

# remove sun specific stuff
rm -f $RPM_BUILD_ROOT%{_datadir}/emacs/%version/etc/emacstool.1
# move some man page to the right place
mv $RPM_BUILD_ROOT%{_datadir}/emacs/%version/etc/{gfdl,emacsclient}.1 $RPM_BUILD_ROOT%{_mandir}/man1/

rm -f $RPM_BUILD_ROOT%{_datadir}/emacs/%version/etc/{emacs.1,ctags.1,etags.1,sex.6}

#
# create file lists
#

find $RPM_BUILD_ROOT%{_datadir}/emacs/%version/lisp \
  -name '*.elc' -print -o -type d -printf "%%%%dir %%p\n" \
  | sed "s^$RPM_BUILD_ROOT^^" > core-filelist
find $RPM_BUILD_ROOT%{_libdir}/emacs/%version -type f | \
  sed "s^$RPM_BUILD_ROOT^^" | grep -v movemail >> core-filelist

# Include .el files which lack a corresponding byte compiled form
for I in `find $RPM_BUILD_ROOT%{_datadir}/emacs/%version/lisp \
          -name '*.el'`; do
  if [ ! -e `dirname $I`/`basename $I .el`.elc ]; then 
    echo $I | sed "s^$RPM_BUILD_ROOT^^"
  fi
done >> core-filelist

# Move 3.22b of docs from emacs to emacs-el to reduce emacs core size
# (tutorials, news, postscript files, ...)' 
find $RPM_BUILD_ROOT%{_datadir}/emacs/%version/etc/ -type f | \
  egrep -v 'DOC|TUTORIAL|NEWS|ONEWS|termcap.src|\.ps$' | \
  sed "s^$RPM_BUILD_ROOT^^" >> core-filelist
# These two files're needed by ps-print: %_datadir/emacs/%version/etc/ps-prin{0,1}.ps
for i in %_datadir/emacs/%version/etc/ps-prin{0,1}.ps; do
	echo $i >> core-filelist
done

#'/[^p][^s][^/]*\.ps$'
find $RPM_BUILD_ROOT%{_datadir}/emacs/%version/etc/ -type f | \
  egrep 'TUTORIAL|NEWS|ONEWS|termcap.src|.ps$'|fgrep -v /etc/ps-prin | \
  sed "s^$RPM_BUILD_ROOT^^" > el-filelist
  
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/emacs
install -m 644 %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.el
(cd $RPM_BUILD_ROOT%{_datadir}/emacs/%version/lisp; ln -s ../../../../..%{_sysconfdir}/emacs/site-start.el)

# Include all non elisp files which emacs installs
find $RPM_BUILD_ROOT%{_datadir}/emacs/%version/lisp -type f | \
  sed "s^$RPM_BUILD_ROOT^^" | grep -v "\.el\(c\)\?$" >> core-filelist

find $RPM_BUILD_ROOT%{_datadir}/emacs/%version/leim \
  -name '*.elc' -print -o -mindepth 1 -type d -printf "%%%%dir %%p\n" | \
  sed "s^$RPM_BUILD_ROOT^^" > leim-filelist

#
# be sure to exclude some files which are need in core package
#
for I in `find $RPM_BUILD_ROOT%{_datadir}/emacs/%version/lisp \
          -name '*.el'`; do
  if [ -e `dirname $I`/`basename $I .el`.elc ]; then 
    echo $I | sed "s^$RPM_BUILD_ROOT^^"
  fi
done >> el-filelist

find $RPM_BUILD_ROOT%{_datadir}/emacs/%version/leim \
  -name '*.el' -print | sed "s^$RPM_BUILD_ROOT^^" |\
  grep -v "leim\/leim-list.el" >> el-filelist

chmod -t $RPM_BUILD_ROOT%{_bindir}/emacs*

mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
cat > $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/Emacs << EOF
Emacs*font: -*-fixed-medium-r-normal-*-*-140-75-75-*-*-*
emacs*foreground:                       Wheat
emacs*background:                       DarkSlateGray
emacs*region.attributeForeground:       White
emacs*region.attributeBackground:       SteelBlue
emacs*pointerColor:                     Orchid
emacs*cursorColor:                      Orchid
EOF

mkdir $RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d
rm -f $RPM_BUILD_ROOT%_bindir/emacs

%clean
rm -rf $RPM_BUILD_ROOT

%define info_files ada-mode autotype ccmode cl dired-x ebrowse ediff efaq emacs emacs-mime eshell eudc forms gnus idlwave info message mh-e pcl-cvs reftex sc speedbar vip viper widget woman

%post
# --section="GNU Emacs"
for f in %info_files; do  %_install_info $f
done
:

%preun
for f in %info_files; do  %_remove_install_info $f
done
:

%post nox
update-alternatives --install %_bindir/emacs emacs %_bindir/emacs-nox 10

[[ ! -f %_bindir/emacs ]] && update-alternatives --auto emacs
:


%postun nox
[[ ! -f %_bindir/emacs-nox ]] && \
    /usr/sbin/update-alternatives --remove emacs %_bindir/emacs-nox
:


%post X11
/usr/sbin/update-alternatives --install %_bindir/emacs emacs %_bindir/emacs-%version 21

%{update_menus}


%postun X11
%{clean_menus}

[[ ! -f %{_bindir}/emacs-%{version} ]] && \
    /usr/sbin/update-alternatives --remove emacs %{_bindir}/emacs-%{version}|| :


%triggerpostun X11 -- emacs-X11
if grep -q /usr/bin/emacs-20.7 /var/lib/rpm/alternatives/emacs && [ ! -f /usr/bin/emacs-20.7 ]; then
    /usr/sbin/update-alternatives --remove emacs %{_bindir}/emacs-20.7 || :
fi

[[ ! -f /usr/bin/emacs ]] && /usr/sbin/update-alternatives --auto emacs|| :


%files -f core-filelist
%defattr(-,root,root)
%doc BUGS README src/COPYING
%config(noreplace) %{_sysconfdir}/emacs/site-start.el
%{_datadir}/emacs/%version/lisp/site-start.el
%{_bindir}/b2m
%{_bindir}/emacsclient
%{_bindir}/etags
%_bindir/ebrowse
%_bindir/grep-changelog
%{_bindir}/gctags
%{_bindir}/rcs-checkin
%{_mandir}/*/*
%{_infodir}/*
%dir %{_sysconfdir}/emacs/site-start.d
%dir %{_sysconfdir}/emacs

%dir %{_libdir}/emacs
%dir %{_libdir}/emacs/site-lisp
%dir %{_libdir}/emacs/%version
%dir %{_libdir}/emacs/%version/%_arch-mandrake-linux
%attr(2755,root,mail) %{_libdir}/emacs/%version/%_arch-mandrake-linux/movemail

%dir %{_datadir}/emacs
%dir %{_datadir}/emacs/%version/etc
%dir %{_datadir}/emacs/site-lisp
%dir %{_datadir}/emacs/%version
%dir %{_datadir}/emacs/%version/site-lisp
%dir %{_datadir}/emacs/%version/leim

# handled by dynamically generated file lists
#%{_datadir}/emacs/%version/lisp/*.elc
#%{_datadir}/emacs/%version/lisp/*/*.elc
#%{_datadir}/emacs/%version/lisp/*.elc
#%{_datadir}/emacs/20.2/lisp/mail/*.elc

%files -f el-filelist el
%defattr(-,root,root)
%doc src/COPYING
/usr/share/emacs/%version/site-lisp/subdirs.el
/usr/share/emacs/site-lisp/subdirs.el
# handled by dynamically generated file lists
#%{_datadir}/emacs/%version/lisp/*.el
#%{_datadir}/emacs/%version/lisp/*/*.el
#%{_datadir}/emacs/%version/leim/*.el
#%{_datadir}/emacs/%version/leim/*/*.el

%files -f leim-filelist leim
%defattr(-,root,root)
%doc src/COPYING
%{_datadir}/emacs/%version/leim/leim-list.el
# handled by dynamically generated file lists
#%{_datadir}/emacs/%version/leim/*.elc
#%{_datadir}/emacs/%version/leim/*/*.elc

%files nox
%defattr(-,root,root)
%doc src/COPYING
%{_bindir}/emacs-nox
%{_datadir}/emacs/%version/etc/DOC-%version.1

%files X11
%defattr(-,root,root)
%doc src/COPYING
%{_bindir}/emacs-%{version}
%{_menudir}/emacs-X11
%{_iconsdir}/emacs.png
%{_miconsdir}/emacs.png
%{_liconsdir}/emacs.png
/usr/X11R6/lib/X11/app-defaults/Emacs
%{_datadir}/emacs/%version/etc/DOC-X-%version.1
%{_datadir}/emacs/%version/etc/DOC-X-%version.2

%changelog
* Thu Feb 12 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 21.3-9mdk
- fix unpackaged file

* Tue Feb 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 21.3-8mdk
- really apply patch 108 (fix removed file when canceling saving due to coding
  charset change)

* Mon Dec 01 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 21.3-7mdk
- source 5: enable to disable auto-fill (pixel)
- patch 105: fix raw-text coding problem
- patch 106: ACPI support in battery.el
- patch 107: do not hang if scroll-margin is set to non-0 
- patch 108: fix backup renaming to the original file when the coding system of
             the buffer has changed and saving has been canceled.
- patch 108: fix dired mode regarding br locale

* Wed Aug 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 21.3-6mdk
- build release

* Thu Jun 05 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 21.3-5mdk
- /usr/X11R6/lib/X11/app-defaults/Emacs: fix default encoding (#3224)

* Mon May 26 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 21.3-4mdk
- fix obsoletes/provides for new gnus

* Tue May 20 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 21.3-3mdk
- distlint fixes
- fix doble listing on --short-circuit

* Wed May 14 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 21.3-2mdk
- rebuild

* Tue Apr 01 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 21.3-1mdk
- new release

* Mon Jan 20 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 21.2.93-1mdk
- new release
- fix unpackaged files
- add ebrowse (only info was present)

* Wed Nov 13 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 21.2.92-1mdk
- new release
- fix url

* Thu Oct 31 2002 Stefan van der Eijk <stefan@eijk.nu> 21.2.91-3mdk
- BuildRequires: texinfo

* Mon Oct 28 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 21.2.91-2mdk
- reduce recursion numbers while installing

* Thu Oct 10 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 21.2.91-1mdk
- new pre version

* Sun Aug 18 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 21.2-12mdk
- emacs-nox: always return 0 in scripts

* Sat Aug 10 2002 Pixel <pixel@mandrakesoft.com> 21.2-11mdk
- emacs-config: set default-major-mode to text-mode, not initial-major-mode (which is *scratch*)
  (thanks to huug)

* Fri Aug  9 2002 Pixel <pixel@mandrakesoft.com> 21.2-10mdk
- add hide-toolbar.patch: remove the toolbar inside emacs binary so that
there's no resizing of the window when the tool-bar is removed (as reported by
Thierry SAURA)

* Thu Aug  8 2002 Pixel <pixel@mandrakesoft.com> 21.2-9mdk
- emacs-config: remove the toolbar

* Mon Jul 22 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 21.2-8mdk
- remove non applied patches (2, 4 and 6)
- fix configure-without-libdir-spec
- don't use useless subshell

* Tue Jul  9 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 21.2-7mdk
- Nuke BuildRequires: autoconf, smtpdaemon

* Fri Jun 07 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 21.2-6mdk
- disable alt-meta patch

* Fri Apr 12 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 21.2-5mdk
- add || : after update-alternative in  %%postun X11 in order to prevent
  this script to fail in case of alternatives problems, just like other
  %%postun
- faster regexps for building file lists
- leave ps-prin{0,1}.ps in main package for ps-print-buffer (Goetz Waschk)

* Mon Apr 08 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 21.2-4mdk
- fix emacs-nox %%post

* Fri Apr 05 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 21.2-3mdk
- fix %%clean to be --short-circuit aware
- enhance scripts readability :
	- use %%update_menus and %%postun in scripts
	- use info install macros
	- simplify a lot info pages managment in scripts
	- simplify tests
- remove sun specific man page emacstool(1) on Goetz Waschk request
- move 3.22b of docs from emacs to emacs-el to reduce emacs core size
 (tutorials, news, postscript files, ...)' 

* Tue Apr 02 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 21.2-2mdk
- update browse-url.el : 
    * Fixes support for mozilla,
    * adds support for galeon,
    * and defaults to free browsers when available,
      rather than just trying netscape
- version indicates that the Mandrake package of Emacs has been
  altered by Mandrake (patch101)
- fix emacs(1) to reflect current installation path, not /usr/local
  (patch100)
- move emacsclient man page to the right dir (Goetz Waschk)
- by the way, move also emacstool(1) and gfdl(1) in %%_mandir/man1
- s!PACKAGE_VERSION!version!g

* Tue Mar 26 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 21.2-1mdk
- new release

* Sat Mar  2 2002 Frederic Lepied <flepied@mandrakesoft.com> 21.1-10mdk
- corrected upgrade (update-alternatives pb)

* Thu Feb 28 2002 Juan Quintela <quintela@mandrakesoft.com> 21.1-9mdk
- Gnus info files back :)

* Sun Feb 17 2002 Stefan van der Eijk <stefan@eijk.nu> 21.1-8mdk
- BuildRequires

* Sun Feb  3 2002 Frederic Lepied <flepied@mandrakesoft.com> 21.1-7mdk
- rebuild

* Thu Jan 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 21.1-6mdk
- xpm -> png icons

* Mon Nov 26 2001 Stew Benedict <sbenedict@mandrakesoft.com> 21.1-5mdk
- patch to use autoconf-2.13, PPC patch, no combreloc linker option

* Mon Nov 19 2001 Frederic Lepied <flepied@mandrakesoft.com> 21.1-4mdk
- removed lesstif support as some functions are unimplemented (for removing
menu-bar).

* Fri Nov 16 2001 Frederic Lepied <flepied@mandrakesoft.com> 21.1-3mdk
- build with lesstif (Thomas LECLERC).
- turn on color event in term mode (Chmouel)
- correct the (de)compression activation.
- use %%old_makeinstall

* Tue Oct 23 2001 Frederic Lepied <flepied@mandrakesoft.com> 21.1-2mdk
- obsoletes: gnus-emacs <= 5.9.0
 obsoletes: emacs-pcomplete <= 2.4.2
 obsoletes: eshell-emacs <= 2.4.2

* Mon Oct 22 2001 Frederic Lepied <flepied@mandrakesoft.com> 21.1-1mdk
- 21.1

* Fri Oct 12 2001 Frederic Lepied <flepied@mandrakesoft.com> 20.7-21mdk
- rebuild to fix locale problem.

* Thu Oct 11 2001 Frederic Lepied <flepied@mandrakesoft.com> 20.7-20mdk
- rebuild as it seems that the upload has broken the archives...

* Thu Oct 11 2001 Frederic Lepied <flepied@mandrakesoft.com> 20.7-19mdk
- correct nox version to not require /usr/X11R6/lib/X11/locale/locale.alias (#5719).

* Fri Sep 28 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 20.7-18mdk
- Correct font for Euro support.

* Tue Jul 17 2001 Frederic Lepied <flepied@mandrakesoft.com> 20.7-17mdk
- fixed build

* Tue Apr  3 2001 Frederic Lepied <flepied@mandrakesoft.com> 20.7-16mdk
- added loading of jka-compr, save-place and auto-show to default config.

* Wed Mar 14 2001 Frederic Lepied <flepied@mandrakesoft.com> 20.7-15mdk
- oops. really apply patches.

* Tue Mar 13 2001 Frederic Lepied <flepied@mandrakesoft.com> 20.7-14mdk
- corrected mh patch (#2010)

* Mon Feb 26 2001 Francis Galiegue <fg@mandrakesoft.com> 20.7-13mdk
- Patch merge from RHm fixes build on ia64

* Sun Jan 21 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 20.7-12mdk
- Rebuild with last ncurses.

* Mon Dec 11 2000 Pixel <pixel@mandrakesoft.com> 20.7-11mdk
- modify emacs-config (source5): as show-paren-mode without arg is a toggle,
using (show-paren-mode t) is better

* Sun Oct 15 2000 David BAUDENS <baudens@mandrakesoft.com> 20.7-10mdk
- Fix build for PPC

* Tue Sep 05 2000 David BAUDENS <baudens@mandrakesoft.com> 20.7-9mdk
- Don't apply patch #21 (PPC)

* Thu Aug 24 2000 Pixel <pixel@mandrakesoft.com> 20.7-8mdk
- really remove gnus info files

* Thu Aug 24 2000 Pixel <pixel@mandrakesoft.com> 20.7-7mdk
- remove gnus info files (now in package gnus, maybe also remove gnus from emacs?)

* Thu Aug 17 2000 Frederic Lepied <flepied@mandrakesoft.com> 20.7-6mdk
- config file in noreplace mode.
- laod config files in /etc/emacs/site-start.d

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 20.7-5mdk
- automatically added BuildRequires

* Thu Jul 20 2000 Frederic Lepied <flepied@mandrakesoft.com> 20.7-4mdk
- removed rpath.
- BM
- corrected resources for cursor and pointer.

* Mon Jul 10 2000 Frederic Lepied <flepied@mandrakesoft.com> 20.7-3mdk
- removed trigger scripts

* Fri Jul  7 2000 Frederic Lepied <flepied@mandrakesoft.com> 20.7-2mdk
- corrected resources to be used only for emacs and not for xemacs.
- use update-alternatives

* Thu Jun 15 2000 Frederic Lepied <flepied@mandrakesoft.com> 20.7-1mdk
- 20.7

* Fri May 26 2000 David BAUDENS <baudens@mandrakesoft.com> 20.6-11mdk
- Reput X ressources in odd directory (make XEmacs horrible)

* Fri May 26 2000 Adam Lebsack <adam@mandrakesoft.com> 20.6-10mdk
- PPC patches

* Tue May 23 2000 David BAUDENS <baudens@mandrakesoft.com> 20.6-9mdk
- Fix app-defaults

* Fri Apr 28 2000 Frederic Lepied <flepied@mandrakesoft.com> 20.6-8mdk
- put all size of icons.

* Wed Apr 19 2000 Frederic Lepied <flepied@mandrakesoft.com> 20.6-7mdk
- security patch.

* Wed Apr 19 2000 Frederic Lepied <flepied@mandrakesoft.com> 20.6-6mdk
- rebuild to correct bad paths.

* Tue Apr 18 2000 Frederic Lepied <flepied@mandrakesoft.com> 20.6-5mdk
- colors from resource file not from lisp file.

* Mon Apr  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 20.6-4mdk
- Fix menu.
- Add Xaw3d-devel as buildrequires.

* Sat Apr  1 2000 Frederic Lepied <flepied@mandrakesoft.com> 20.6-3mdk
- added a patch to support more than 5 buttons (David M. Cooke).
- changed default setup.
- menu

* Tue Mar  7 2000 Frederic Lepied <flepied@mandrakesoft.com> 20.6-2mdk
- map META on ALT.

* Mon Feb 28 2000 Frederic Lepied <flepied@mandrakesoft.com> 20.6-1mdk
- version 20.6.
- move .emacs stuff from etcskel to /etc/emacs/site-start.el

* Mon Dec 20 1999 Frederic Lepied <flepied@mandrakesoft.com> 20.5-3mdk
- corrected expand.el bug.
- remove bit t on emacs executable.

* Mon Dec 13 1999 Frederic Lepied <flepied@mandrakesoft.com>
- bunzip info files

* Mon Dec 6 1999 Frederic Lepied <flepied@mandrakesoft.com>
- 20.5

* Mon Nov 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- s/i386/%\_arch/.

* Tue Nov 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- s/gz/bz2/

* Tue Nov 09 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Wed Oct 13 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Clean up specs and %post.

* Mon Jul 19 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 20.4
- remove the emacs shell script; it's no longer needed.
- adapt patches

* Fri Jul  9 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix shell-script typo bugs.

* Wed May 26 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- move the /usr/bin/emacs script to the emacs package

* Wed May 26 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- s/arch-redhat-linux/arch-mandrake-linux
- replace emacs with a shell script that runs either emacs-nox or
  emacs-20.3
- s/emacs/emacs-20.3/ in emacs.wmconfig (wmconfig is always X)

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adpatations.
- Bzip2 info/man pages.
- Path to handle bzip2 on info files.

* Wed Mar 31 1999 Preston Brown <pbrown@redhat.com>
- updated mh-utils emacs lisp file to match our nmh path locations

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 9)

* Fri Feb 26 1999 Cristian Gafton <gafton@redhat.com>
- linker scripts hack to make it build on the alpha

* Fri Jan  1 1999 Jeff Johnson <jbj@redhat.com>
- add leim package (thanks to Pavel.Janik@inet.cz).

* Fri Dec 18 1998 Cristian Gafton <gafton@redhat.com>
- build against glibc 2.1

* Wed Sep 30 1998 Cristian Gafton <gafton@redhat.com>
- backed up changes to uncompress.el (it seems that the one from 20.2 works
  much better)

* Mon Sep 28 1998 Jeff Johnson <jbj@redhat.com>
- eliminate /tmp race in rcs2log

* Wed Sep 09 1998 Cristian Gafton <gafton@redhat.com>
- upgrade to 20.3

* Tue Jun  9 1998 Jeff Johnson <jbj@redhat.com>
- add --with-pop to X11 compile.
- include contents of /usr/share/.../etc with main package.

* Mon Jun 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr

* Mon Jun 01 1998 David S. Miller <davem@dm.cobaltmicro.com>
- fix signals when linked with glibc on non-Intel architectures
  NOTE: This patch is not needed with emacs >20.2

* Thu May 07 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr

* Thu May 07 1998 Cristian Gafton <gafton@redhat.com>
- added /usr/lib/emacs/20.2/*-mandrake-linux directory in the filelist

* Thu Apr 09 1998 Cristian Gafton <gafton@redhat.com>
- alpha started to like emacs-nox again :-)

* Thu Nov  6 1997 Michael Fulbright <msf@redhat.com>
- alpha just doesnt like emacs-nox, taking it out for now

* Mon Nov  3 1997 Michael Fulbright <msf@redhat.com>
- added multibyte support back into emacs 20.2
- added wmconfig for X11 emacs
- fixed some errant buildroot references

* Thu Oct 23 1997 Michael Fulbright <msf@redhat.com>
- joy a new version of emacs! Of note - no lockdir any more.
- use post/preun sections to handle numerous GNU info files

* Mon Oct 06 1997 Erik Troan <ewt@redhat.com>
- stopped stripping it as it seems to break things

* Sun Sep 14 1997 Erik Troan <ewt@redhat.com>
- turned off ecoff support on the Alpha (which doesn't build anymore)

* Mon Jun 16 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Fri Feb 07 1997 Michael K. Johnson <johnsonm@redhat.com>
- Moved ctags to gctags to fit in the more powerful for C (but less
  general) exuberant ctags as the binary /usr/bin/ctags and the
  man page /usr/man/man1/ctags.1
